Subject: Re: [PATCH v2 00/12] Group reffiles tests

From: Patrick Steinhardt <[email-masked]>
Date: Mon, 22 Jan 2024 12:36:59 +0100

On Fri, Jan 19, 2024 at 08:18:48PM +0000, John Cai via GitGitGadget wrote:
> This series groups REFFILES specific tests together. These tests are
> currently grouped together across the test suite based on functionality.
> However, since they exercise low-level behavior specific to the refs backend
> being used (in these cases, the ref-files backend), group them together
> based on which refs backend they test. This way, in the near future when the
> reftables backend gets upstreamed we can add tests that exercise the
> reftables backend close by in the t06xx area.
> 
> These patches also remove the REFFILES prerequisite, since all the tests in
> t06xx are reffiles specific. In the near future, once the reftable backend
> is upstreamed, all the tests in t06xx will be forced to run with the
> reffiles backend.
> 
> Changes since V1:
> 
>  * Moved some pack-refs tests to t0601 instead of t0600
>  * Clarified some commit messages
>  * Converted a test to be refs-backend agnostic
>  * Other minor rearranging of tests

I've got two minor nits, but other than that this looks good to me. I've
also verified that all tests continue to pass with the current version
of the reftable backend.

There's a minor merge conflict with db4192c364 (t: mark tests regarding
git-pack-refs(1) to be backend specific, 2024-01-10). This conflict
comes from the fact that both patch series add the REFFILES prereq to
t3210, semantically the changes are the same. So it doesn't quite matter
which of both versions we retain as they both do the same.

Patrick